DelegatingMapper (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class DelegatingMapper<K1,V1,K2,V2>

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
          org.apache.hadoop.mapreduce.lib.input.DelegatingMapper<K1,V1,K2,V2>

    public class DelegatingMapper<K1,V1,K2,V2>

extends Mapper<K1,V1,K2,V2>

An `Mapper` that delegates behavior of paths to multiple other mappers.

See Also:
  `MultipleInputs.addInputPath(Job, Path, Class, Class)`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`Mapper.Context`

Constructor Summary
`DelegatingMapper()`

Method Summary
`void` | `run(Mapper.Context context)` Expert users can override this method for more complete control over the execution of the Mapper.
`protected void` | `setup(Mapper.Context context)` Called once at the beginning of the task.

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, map`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingMapper

    public DelegatingMapper()

Method Detail

### setup

    protected void setup(Mapper.Context context)
                  throws IOException,
                         InterruptedException

  Description copied from class: `Mapper`
  Called once at the beginning of the task.

  Overrides:
    `setup` in class `Mapper<K1,V1,K2,V2>`
  Throws:
    `IOException`
    `InterruptedException`

### run

    public void run(Mapper.Context context)
             throws IOException,
                    InterruptedException

  Description copied from class: `Mapper`
  Expert users can override this method for more complete control over the execution of the Mapper.

  Overrides:
    `run` in class `Mapper<K1,V1,K2,V2>`
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation